curl --request GET \
--url https://api.arize.com/v2/evaluator-versions/{version_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/evaluator-versions/{version_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/evaluator-versions/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get evaluator version
Get a specific evaluator version by its unique identifier.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique evaluator version identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
Returns an evaluator version
- Option 1
- Option 2
- Option 3
- Option 4
A versioned snapshot of an evaluator's configuration. The type field
discriminates the branch and matches the parent evaluator's type.
The unique identifier for this version
The parent evaluator ID
A unique hash identifying this version
A message describing the changes in this version
When this version was created
The unique identifier for the user who created this version
Discriminator identifying this as a template evaluator version. Always TEMPLATE for this variant.
TEMPLATE The LLM template configuration for this version
Show child attributes
Show child attributes
Was this page helpful?